OAuth
Check email domain for SSO before showing password
Extracts the domain from the submitted email and checks if any company has mandatory SSO configured for that domain. If so, redirects to SSO. Otherwise, re-renders the login page at the password step.
POST
/
oauth
/
check-email
Check email domain for SSO before showing password
curl --request POST \
--url https://api.reelevant.com/v2/oauth/check-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'client_id=<string>' \
--data 'redirect_uri=<string>' \
--data 'username=<string>' \
--data 'state=<string>' \
--data 'lang=<string>' \
--data 'response_type=<string>' \
--data 'code_challenge=<string>' \
--data 'code_challenge_method=<string>'import requests
url = "https://api.reelevant.com/v2/oauth/check-email"
payload = {
"client_id": "<string>",
"redirect_uri": "<string>",
"username": "<string>",
"state": "<string>",
"lang": "<string>",
"response_type": "<string>",
"code_challenge": "<string>",
"code_challenge_method": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
client_id: '<string>',
redirect_uri: '<string>',
username: '<string>',
state: '<string>',
lang: '<string>',
response_type: '<string>',
code_challenge: '<string>',
code_challenge_method: '<string>'
})
};
fetch('https://api.reelevant.com/v2/oauth/check-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/x-www-form-urlencoded
Response
204
No Content
Was this page helpful?
⌘I
Check email domain for SSO before showing password
